apiVersion: apps/v1
kind: Deployment
metadata:
  name: vault
spec:
  selector:
    matchLabels:
      app: vault
  template:
    metadata:
      labels:
        app: vault
    spec:
      serviceAccount: vault
      containers:
      - name: vault
        image: vault
        env:
          - name: VAULT_DEV_ROOT_TOKEN_ID
            value: root
          - name: VAULT_DEV_LISTEN_ADDRESS
            value: 0.0.0.0:8200
          - name: VAULT_TOKEN
            value: root
          - name: VAULT_ADDR
            value: http://127.0.0.1:8200
        resources:
          limits:
            memory: "128Mi"
            cpu: "500m"
        ports:
        - containerPort: 8200